[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'matrix' (#rtl)

# multiply(Tmatrix4_single,Tvector4_single):Tvector4_single

Give product of a four-dimensional single precision matrix and vector

## Declaration

Source position: matrix.pp line 578

`operator operator *(`
`const m: Tmatrix4_single;`
`const v: Tvector4_single`
`):Tvector4_single;`

## Description

This operator allows you to multiply a four-dimensional single precision matrices with a four dimensional single precision vector. A new vector is returned which is the product of the matrix and the vector. The product is calculated using the well known matrix-vector multiplication algorithm.